/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ToolActionInfo } from "./ToolActionInfo";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionButtonInfo = /*@__PURE__*/ (() => {
    class ToolActionButtonInfo extends ToolActionInfo {
        constructor() {
            super();
            this._displayType = 0;
        }
        get_d() {
            return 9;
        }
        get displayType() {
            return this._displayType;
        }
        set displayType(a) {
            this._displayType = a;
        }
    }
    ToolActionButtonInfo.$t = markType(ToolActionButtonInfo, 'ToolActionButtonInfo', ToolActionInfo.$);
    return ToolActionButtonInfo;
})();
